Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011478
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2009-11-24 16:202009-12-15 04:56
ReporterpjuvaraView Statuspublic 
Assigned Toiperdomo 
PriorityimmediateResolutionfixedFixed in Version2.50MP10
StatusclosedFix in branchpiFixed in SCM revisionbc363efd9e77
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP8SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011478: Heartbeat check can be bypassed

DescriptionStarting from 2.50 MP6, the Module Management window checks that the heartbeat is enabled before modules can be downloaded.

This functionality however can be easily bypassed either intentionally or accidentally and must be strengthen.

Users can enable the heartbeat then go to the Process Request window and unschedule the corresponding process. As a result, the system considers the heartbeat enabled but no actual beat is sent.
Proposed SolutionThe Heartbeat Configuration window and the heartbeat status check in the Module Management window should check that not only that AD_System_Info.IsHeartbeatActive is set to Y but that there is also a scheduled process request to send beats.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0022149)
hgbot (developer)
2009-11-24 23:08

Repository: erp/devel/pi
Changeset: 9897d630fd6809e104faf50c769763b1933c0e63
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Nov 24 23:07:24 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9897d630fd6809e104faf50c769763b1933c0e63 [^]

Fixes issue 11478: Checks for a scheduled HB process request

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0022416)
hudsonbot (developer)
2009-12-04 09:14

---
A changeset related to this issue has passed a series of tests and has been promoted to main:

Changeset: http://code.openbravo.com/erp/devel/main/rev/f6bc559b1872 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
---
(0022636)
mtaal (developer)
2009-12-10 13:10

The check also has to be changed in the TestHeartBeat class. Check the usage of the SystemInfo.isEnableHeartBeat in this class, on each place (I think there are 4 or so) the check needs to be changed to also count the num. of processrequests.

Antother remark, maybe it is better to explicitly use an and expression in the ModuleManager.isHeartBeatEnabled() method:
    prCriteria.add(Expression.and(Expression.eq(ProcessRequest.PROPERTY_PROCESS, HBProcess),
        Expression.eq(ProcessRequest.PROPERTY_CHANNEL, Channel.SCHEDULED.toString())));
 

Another thing I noticed is that when I unschedule or remove the processrequest then the button in the heartbeat configuration still says 'disable heartbeat'. Maybe a solution is to recreate the processrequest also in that window.

gr. Martin
(0022658)
hgbot (developer)
2009-12-10 18:08

Repository: erp/devel/pi
Changeset: e82d1b5b692e2d47465162fef91ac6ae143d8acf
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Dec 10 18:07:47 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e82d1b5b692e2d47465162fef91ac6ae143d8acf [^]

Fixes issue 11478: Refactored code that checks if HB is enabled

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/ad_process/TestHeartbeat.java
---
(0022666)
mtaal (developer)
2009-12-10 23:41

I noticed still two things:
First error scenario:
1) I first enable heartbeat
2) then remove the process request
3) then go to module management install module
4) page is shown 'do you want to enable heartbeat'
--> Problem: I have to click twice on the continue button before the wizard continues

Second error scenario:
1) I first enable heartbeat
2) then unschedule the process request
3) then go to module management install module
4) wizard continues without asking to enable heartbeat
5) process request is however not rescheduled

gr. Martin
(0022698)
hgbot (developer)
2009-12-11 12:10

Repository: erp/devel/pi
Changeset: bc363efd9e77743f15ad98e4a40e3ffa8f570c93
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Dec 11 12:10:13 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bc363efd9e77743f15ad98e4a40e3ffa8f570c93 [^]

Fixes issue 11478: Refactored code that checks if HB is enabled

---
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/ad_process/TestHeartbeat.java
---
(0022745)
sureshbabu (reporter)
2009-12-14 12:21

Tested, module management window now checks whether heartbeat is enabled or not even if the heartbeat process is unscheduled in process request window
(0022782)
hudsonbot (developer)
2009-12-15 04:56

---
A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/e7ad8a48210d [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15705.obx [^]
---

- Issue History
Date Modified Username Field Change
2009-11-24 16:20 pjuvara New Issue
2009-11-24 16:20 pjuvara Assigned To => rafaroda
2009-11-24 16:31 iperdomo Assigned To rafaroda => iperdomo
2009-11-24 17:04 iperdomo Status new => scheduled
2009-11-24 17:04 iperdomo fix_in_branch => pi
2009-11-24 23:08 hgbot Checkin
2009-11-24 23:08 hgbot Note Added: 0022149
2009-11-24 23:08 hgbot Status scheduled => resolved
2009-11-24 23:08 hgbot Resolution open => fixed
2009-11-24 23:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9897d630fd6809e104faf50c769763b1933c0e63 [^]
2009-12-04 09:14 hudsonbot Checkin
2009-12-04 09:14 hudsonbot Note Added: 0022416
2009-12-10 13:10 mtaal Note Added: 0022636
2009-12-10 13:10 mtaal Status resolved => new
2009-12-10 13:10 mtaal Resolution fixed => open
2009-12-10 13:51 iperdomo Status new => scheduled
2009-12-10 18:08 hgbot Checkin
2009-12-10 18:08 hgbot Note Added: 0022658
2009-12-10 18:08 hgbot Status scheduled => resolved
2009-12-10 18:08 hgbot Resolution open => fixed
2009-12-10 18:08 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/9897d630fd6809e104faf50c769763b1933c0e63 [^] => http://code.openbravo.com/erp/devel/pi/rev/e82d1b5b692e2d47465162fef91ac6ae143d8acf [^]
2009-12-10 23:41 mtaal Note Added: 0022666
2009-12-10 23:41 mtaal Status resolved => new
2009-12-10 23:41 mtaal Resolution fixed => open
2009-12-11 10:22 iperdomo Status new => scheduled
2009-12-11 12:10 hgbot Checkin
2009-12-11 12:10 hgbot Note Added: 0022698
2009-12-11 12:10 hgbot Status scheduled => resolved
2009-12-11 12:10 hgbot Resolution open => fixed
2009-12-11 12:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e82d1b5b692e2d47465162fef91ac6ae143d8acf [^] => http://code.openbravo.com/erp/devel/pi/rev/bc363efd9e77743f15ad98e4a40e3ffa8f570c93 [^]
2009-12-14 12:21 sureshbabu Note Added: 0022745
2009-12-14 12:21 sureshbabu Status resolved => closed
2009-12-14 12:21 sureshbabu Fixed in Version => 2.50MP10
2009-12-15 00:00 anonymous sf_bug_id 0 => 2914440
2009-12-15 04:56 hudsonbot Checkin
2009-12-15 04:56 hudsonbot Note Added: 0022782


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker